package	jp.co.sds_corp.hibiya.layout;

import java.io.Serializable;

import jp.co.sds_corp.hibiya.server.CheckerChangeEvent;

/**
* データを編集して文字列として出力します。
*/
public interface ILayout extends Serializable
{
	/**
	* フォーマット文字列を返します。
	* @return	フォーマット文字列
	*/
	public String getFormat();

	/**
	* フォーマット文字列を指定します。
	* @param	fmt		フォーマット文字列
	*/
	public void setFormat( String fmt );

	/**
	* 文字列を編集して出力します。
	* @param	ev		編集元のデータ
	* @return	編集結果の文字列
	*/
	public String format( CheckerChangeEvent ev );
}
